Subject: Ticket Assigned - Delivery
From: Centrepoint <[email-masked]>
To: [email-masked]
Date: Tue, 11 May 2021 01:50:13 +0000

Hi Prince Malik,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Delivery I made an order on 27/4/2021 and it still hasn’t arrived this is absolutely ridiculous. Also the delivery person with the number +966 59 231 5861 is very unprofessional. He sent me a WhatsApp message asking for my location so I sent it then he continued to spam me with messages asking for my location when I already provided it! This is seriously unacceptable I’m very disappointed.... https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/2538226